Package Details: python-g2p-blocks-git 167-3

Git Clone URL: https://aur.archlinux.org/python-g2p-blocks-git.git (read-only, click to copy)
Package Base: python-g2p-blocks-git
Description: Enable bcache or LVM on existing block devices. Convert between raw partitions, logical volumes, and bcache devices witout moving data.
Upstream URL: https://github.com/g2p/blocks
Keywords: lvm partition
Licenses: GPL3
Provides: python-g2p-blocks
Submitter: chris_l
Maintainer: chris_l
Last Packager: chris_l
Votes: 3
Popularity: 0.27
First Submitted: 2020-07-24 20:52 (UTC)
Last Updated: 2020-07-26 09:02 (UTC)

Latest Comments

chris_l commented on 2021-08-12 19:37 (UTC)

@Weissnix4711 Certainly I got an error trying to run blocks. I solve it by uninstalling it, along with some of its dependencies. Basically, I uninstalled: python-pyparted, python-maintboot-git and python-g2p-blocks-git

Then I just reinstall them, and it worked again after doing that. Try to do that and see if it works.

The patch you are suggesting only makes it fail if you try to run it using a python version lower than 3. But it already tries to run it on python3 by default, since on arch, "python" points to python3:

$ ls -lha /usr/bin/python
lrwxrwxrwx 1 root root 7 Jun 30 05:22 /usr/bin/python -> python3

Weissnix4711 commented on 2021-08-12 10:54 (UTC)

to-lvm fails with the following error:

Preparing LVM metadata... Traceback (most recent call last):
  File "/usr/bin/blocks", line 33, in <module>
    sys.exit(load_entry_point('blocks==0.1.4', 'console_scripts', 'blocks')())
  File "/usr/lib/python3.9/site-packages/blocks/__main__.py", line 2012, in script_main
    sys.exit(main())
  File "/usr/lib/python3.9/site-packages/blocks/__main__.py", line 1678, in main
    return args.action(args)
  File "/usr/lib/python3.9/site-packages/blocks/__main__.py", line 1885, in cmd_to_lvm
    synth_pv = st.enter_context(
  File "/usr/lib/python3.9/contextlib.py", line 429, in enter_context
    result = _cm_type.__enter__(cm)
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/usr/lib/python3.9/site-packages/blocks/__main__.py", line 1276, in synth_device
    synth = SyntheticDevice(synth_devpath)
  File "/usr/lib/python3.9/site-packages/blocks/__main__.py", line 170, in __init__
    assert os.path.exists(devpath), devpath
AssertionError: /dev/mapper/synthetic-5c9300de-fb57-11eb-907d-1831bf4ee435

Could you please consider adding the following patch?

https://github.com/g2p/blocks/commit/a7c3a1f326388348ddbfa41af853686a4bd40786.patch